@echo off

REM <11以降OneDrive使用でこのケースあり>
IF EXIST "%USERPROFILE%\OneDrive\デスクトップ\." SET desktop=%USERPROFILE%\OneDrive\デスクトップ
IF EXIST "%USERPROFILE%\OneDrive\デスクトップ\." SET programs=%USERPROFILE%\AppData\Roaming\Microsoft\Windows\Start Menu\Programs
IF EXIST "%USERPROFILE%\OneDrive\デスクトップ\." SET startup=%USERPROFILE%\AppData\Roaming\Microsoft\Windows\Start Menu\Programs\Startup
REM <10以降OneDrive使用>
IF EXIST "%USERPROFILE%\OneDrive\Desktop\." SET desktop=%USERPROFILE%\OneDrive\Desktop
IF EXIST "%USERPROFILE%\OneDrive\Desktop\." SET programs=%USERPROFILE%\AppData\Roaming\Microsoft\Windows\Start Menu\Programs
IF EXIST "%USERPROFILE%\OneDrive\Desktop\." SET startup=%USERPROFILE%\AppData\Roaming\Microsoft\Windows\Start Menu\Programs\Startup
REM <Vista/7/8/10/11>
IF EXIST "%USERPROFILE%\Desktop\." SET desktop=%USERPROFILE%\Desktop
IF EXIST "%USERPROFILE%\Desktop\." SET programs=%USERPROFILE%\AppData\Roaming\Microsoft\Windows\Start Menu\Programs
IF EXIST "%USERPROFILE%\Desktop\." SET startup=%USERPROFILE%\AppData\Roaming\Microsoft\Windows\Start Menu\Programs\Startup
REM <2000/XP>
IF EXIST "%USERPROFILE%\デスクトップ\." SET desktop=%USERPROFILE%\デスクトップ
IF EXIST "%USERPROFILE%\デスクトップ\." SET programs=%USERPROFILE%\スタート メニュー\プログラム
IF EXIST "%USERPROFILE%\デスクトップ\." SET startup=%USERPROFILE%\スタート メニュー\プログラム\スタートアップ

ECHO.
ECHO ###　NANS21Vセットアップ　インストール《後》処理　開始 ###
ECHO.

:SHORTCUT
ECHO.
ECHO ■ショートカットを設定します。
ECHO.
xcopy /EIY "%programs%\ニシ･スポーツ\陸上競技運営用コンピュータシステム\Local NANS21V.lnk" "%desktop%\NANS管理"
xcopy /EIY "%programs%\ニシ･スポーツ\陸上競技運営用コンピュータシステム\NANS21V.lnk" "%desktop%\NANS管理"
xcopy /EIY "%programs%\ニシ･スポーツ\陸上競技運営用コンピュータシステム\NANS21V DBバックアップ.lnk" "%desktop%\NANS管理"
xcopy /EIY "%programs%\ニシ･スポーツ\陸上競技運営用コンピュータシステム\NANS21V DB復元.lnk" "%desktop%\NANS管理"
xcopy /EIY "%programs%\ニシ･スポーツ\陸上競技運営用コンピュータシステム\プレス出力監視.lnk" "%desktop%\NANS管理"
xcopy /EIY "%programs%\ニシ･スポーツ\陸上競技運営用コンピュータシステム\印刷監視.lnk" "%desktop%\NANS管理"
xcopy /EIY "%programs%\ニシ･スポーツ\陸上競技運営用コンピュータシステム\印刷監視.lnk" "%desktop%"
move "%desktop%\NANS管理\NANS21V-Q&A.lnk" "%desktop%"

ECHO.
ECHO ###　NANS21V　セットアップ　インストール《後》処理　終了 ###
ECHO.
ECHO エラーメッセージが出力されていないことをご確認ください。
ECHO (エラーが出力された場合はNISHIにお問合せください。)
ECHO.
PAUSE
